/*________________________  gp.app.print.h   _______________________*/

/*       1         2         3         4         5         6        */
/*345678901234567890123456789012345678901234567890123456789012345678*/
/*********************************|**********************************/

/*********************************|**********************************/
/*                                                                  */
/* Copyright (c) 2011-2011 SEIKO EPSON CORP.   All Rights Reserved  */
/*                                                                  */
/*                    Common Public License - v 1.0                 */
/*   THE ACCOMPANYING PROGRAM IS PROVIDED UNDER THE TERMS OF THIS   */
/*   COMMON PUBLIC LICENSE ("AGREEMENT"). ANY USE x REPRODUCTION OR */
/*   DISTRIBUTION OF THE PROGRAM CONSTITUTES RECIPIENT'S ACCEPTANCE */
/*   OF THIS AGREEMENT.                                             */
/*                                                                  */
/*   The Common Public License in its entirety is located in        */
/*                                                                  */
/*                    gpCommonPublicLicense.txt                     */
/*                                                                  */
/*   and applies to the contents of this file.                      */
/*                                                                  */
/*******%*******************%*****|**********************************/
/*                                                                  */
/* Code States:                                                     */
/*      Initial                                                     */
/*      Developing                                                  */
/*      Working                                                     */
/*      Tested                                                      */
/*      Refactored                                                  */
/*      Final Candidate                                             */
/*                          Final Code                              */
/*                                                                  */
/*******%*******************%*****|**********************************/
#ifndef __GENERAL_PRINT_APP_PRINT_H__
#define __GENERAL_PRINT_APP_PRINT_H__

/*---------------------------  Includes   --------------------------*/
/*................................|.................................*/
#include "gp.typedefs.h"
#include "pwg.types.h"
#include "pwg.pjt.xxx.N.adornment.types.h"

#include "pwg.pjt.xxx.N.ticket.config.h"

#include "pwg.pjt.xxx.0.print.job.ticket.h"
  #include "pwg.pjt.pdp.0.print.document.processing.h"
  #include "pwg.pjt.pjd.0.print.job.description.h"
  #include "pwg.pjt.pjp.0.print.job.processing.h"
  #include "pwg.print.document.ticket.h"

/*-------------------------- Data Types ----------------------------*/
/*................................|.................................*/

/*------------------------  Generic Macros   -----------------------*/
/*................................|.................................*/

/*-------------------------  Definitions  --------------------------*/
/*................................|.................................*/

/*------------------  Data Structure Declarations   ----------------*/
/*................................|.................................*/

/*-----------------  Application Global Variables   ----------------*/
/*................................|.................................*/

/*--------------------  Local Global Variables  --------------------*/
/*................................|.................................*/

/*--------------------  Function Declarations   --------------------*/
/*................................|.................................*/
extern gpERR_CODE AppPrint(gpBIT8*, gpBIT32, gpBIT32);

#endif  /* __GENERAL_PRINT_APP_PRINT_H__                            */

/*________________________  gp.app.print.h   _______________________*/

/*345678901234567890123456789012345678901234567890123456789012345678*/
/*       1         2         3         4         5         6        */
/*********************************|**********************************/

/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%|%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
/*** End of File *** End of File *** End of File *** End of File ****/
/*%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%|%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%*/
